Summary:	CLCC - The OpenCL kernel compiler
Summary(pl.UTF-8):	CLCC - kompilator jąder OpenCL
Name:		clcc
Version:	0.3.0
Release:	9
License:	Boost v1.0
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/clcc/%{name}-%{version}-25-src.zip
# Source0-md5:	7ec003cc775d1cd06e789fb054c1d695
Patch0:		%{name}-shared.patch
Patch1:		%{name}-no-svn.patch
Patch2:		%{name}-opencl.patch
Patch3:		boost-1.59.patch
URL:		http://clcc.sourceforge.net/
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
Requires:	OpenCL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLCC is a compiler for OpenCL kernel source files. It is intended to
be a tool for application developers who need to incorporate OpenCL
source code into their programs and who want to verify their OpenCL
code actually gets compiled by the driver before their program tries
to compile it on-demand.

%description -l pl.UTF-8
CLCC to kompilator plików źródłowych jąder OpenCL. Jest pomyślany jako
narzędzie dla programistów potrzebujących wykorzystywać we własnych
programach kody źródłowe OpenCL i chcących zweryfikować je przed
skompilowaniem przez sterownik na żądanie w przypadku użycia przez
program.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
install -d build
cd build
%cmake .. \
	-DBOOST_LIBRARIES=%{_libdir}
%{__make} all clcc_doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# not really useful for non-clcc developers
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc license.txt 
%attr(755,root,root) %{_bindir}/clcc
%changelog
* Thu Jul 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clcc.git;a=log;h=master

* Thu Jul 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 645edeb
- release 9 (boost 1.73)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 468a4db
- rebuild with boost 1.71
- release 8 (by relup.sh)

* Sun Apr 14 2019 Jan Rękorajski <baggins@pld-linux.org> b3dd8f7
- icu/boost rebuild
- release 7 (by relup.sh)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 717d430
- rebuild with boost 1.63.0
- release 6 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> e3dbf14
- icu-57.1 rebuild
- release 5 (by relup.sh)

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 67b4c8c
- fix building with boost 1.59
- rel 4

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 728cb30
- boost rebuild
- release 3 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 619ea2f
- rebuild with boost 1.57.0
- release 2 (by relup.sh)

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 7e5e9a0
- new
- shared patch to use shared boost libraries instead of static
- no-svn patch not to use svn to determine build (.svn dir is not included in release anyway)
- opencl patch to define OpenCL library name on Linux

